Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ScaleControllerFunction Class Reference

Predefined controller function which simply scales an input to an output value. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::ScaleControllerFunction:

[legend]
List of all members.

## Public Methods

| ScaleControllerFunction (Real scalefactor, bool deltaInput)
| Constructor, requires a scale factor.
Real | calculate (Real source)
| Overriden method.

## Protected Methods

Real | getAdjustedInput (Real input)
| Gets the input value as adjusted by any delta.

## Protected Attributes

Real | mScale
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
Real | mDeltaCount

## Detailed Description

Predefined controller function which simply scales an input to an output value.

Definition at line 179 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::ScaleControllerFunction::ScaleControllerFunction | ( | Real | scalefactor,
|  | bool | deltaInput
| ) |

Constructor, requires a scale factor.

Parameters:

  scalefactor | The multipier applied to the input to produce the output.
  deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

Definition at line 216 of file OgrePredefinedControllers.cpp.

References mScale, and Ogre::Real.

## Member Function Documentation

Real Ogre::ScaleControllerFunction::calculate | ( | Real | source | ) | `[virtual]`

| Overriden method. Implements Ogre::ControllerFunction< Real >. Definition at line 221 of file OgrePredefinedControllers.cpp. References Ogre::ControllerFunction< Real >::getAdjustedInput(), mScale, and Ogre::Real.

Real Ogre::ControllerFunction< Real >::getAdjustedInput | ( | Real | input | ) | `[protected, inherited]`

| Gets the input value as adjusted by any delta. Reimplemented in Ogre::WaveformControllerFunction. Definition at line 56 of file OgreController.h. Referenced by calculate().

## Member Data Documentation

Real Ogre::ControllerFunction< Real >::mDeltaCount`[protected, inherited]`

| Definition at line 52 of file OgreController.h. Referenced by Ogre::WaveformControllerFunction::WaveformControllerFunction().

bool Ogre::ControllerFunction< Real >::mDeltaInput`[protected, inherited]`

| If true, function will add imput values together and wrap at 1.0 before evaluating. Definition at line 51 of file OgreController.h. Referenced by Ogre::WaveformControllerFunction::getAdjustedInput().

Real Ogre::ScaleControllerFunction::mScale`[protected]`

| Definition at line 182 of file OgrePredefinedControllers.h. Referenced by calculate(), and ScaleControllerFunction().

The documentation for this class was generated from the following files:

- OgrePredefinedControllers.h
- OgrePredefinedControllers.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:33 2004